curl --request PUT \
--url https://sandbox.layerfi.com/v1/configure/quickbooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_id": "ABCD1234FAKECLIENTID",
"secret": "abcd1234FAKESECRET",
"redirect_url": "https://yourplatform.com/link-quickbooks"
}
'import requests
url = "https://sandbox.layerfi.com/v1/configure/quickbooks"
payload = {
"client_id": "ABCD1234FAKECLIENTID",
"secret": "abcd1234FAKESECRET",
"redirect_url": "https://yourplatform.com/link-quickbooks"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_id: 'ABCD1234FAKECLIENTID',
secret: 'abcd1234FAKESECRET',
redirect_url: 'https://yourplatform.com/link-quickbooks'
})
};
fetch('https://sandbox.layerfi.com/v1/configure/quickbooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_id": "ABCD1234FAKECLIENTID",
"secret_last_4": "**************CRET",
"environment": "PRODUCTION",
"redirect_url": "https://yourplatform.com/link-quickbooks"
}""Update Quickbooks configuration
Update the current platform Quickbooks configuration.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json
Body
The client ID issued to your platform by Quickbooks.
"ABCD1234FAKECLIENTID"
The client secret associated with the provided Quickbooks client ID.
"abcd1234FAKESECRET"
Indicates which Quickbooks environment these credentials are intended for (production or sandbox).
PRODUCTION, SANDBOX The URL to which Quickbooks should redirect after authentication.
"https://yourplatform.com/link-quickbooks"
Response
The client ID issued to your platform by Quickbooks.
"ABCD1234FAKECLIENTID"
The client secret associated with your Quickbooks client ID, masked except for the last four digits for reference.
"**************CRET"
Indicates which Quickbooks environment these credentials are intended for (production or sandbox).
PRODUCTION, SANDBOX The URL to which Quickbooks should redirect after authentication.
"https://yourplatform.com/link-quickbooks"